org.jbpm.process

## Class ProcessBaseImpl

- java.lang.Object
- - org.jbpm.process.ProcessBaseImpl

- All Implemented Interfaces:
    org.kie.api.event.kiebase.KieBaseEventManager, org.kie.api.KieBase, org.kie.internal.KnowledgeBase

      public class ProcessBaseImpl
      extends Object
      implements org.kie.internal.KnowledgeBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessBaseImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(org.kie.api.event.kiebase.KieBaseEventListener listener)`
    `void` | `addKnowledgePackages(Collection<org.kie.internal.definition.KnowledgePackage> kpackages)`
    `void` | `addPackage(org.kie.internal.definition.KnowledgePackage knowledgePackage)`
    `Set<String>` | `getEntryPointIds()`
    `org.kie.api.definition.type.FactType` | `getFactType(String packageName, String typeName)`
    `Collection<org.kie.api.event.kiebase.KieBaseEventListener>` | `getKieBaseEventListeners()`
    `org.kie.api.definition.KiePackage` | `getKiePackage(String packageName)`
    `Collection<org.kie.api.definition.KiePackage>` | `getKiePackages()`
    `Collection<org.kie.internal.runtime.StatefulKnowledgeSession>` | `getKieSessions()`
    `org.kie.internal.definition.KnowledgePackage` | `getKnowledgePackage(String packageName)`
    `Collection<org.kie.internal.definition.KnowledgePackage>` | `getKnowledgePackages()`
    `org.kie.api.definition.process.Process` | `getProcess(String processId)`
    `Collection<org.kie.api.definition.process.Process>` | `getProcesses()`
    `org.kie.api.definition.rule.Query` | `getQuery(String packageName, String queryName)`
    `org.kie.api.definition.rule.Rule` | `getRule(String packageName, String ruleName)`
    `Collection<org.kie.internal.runtime.StatefulKnowledgeSession>` | `getStatefulKnowledgeSessions()`
    `org.kie.api.runtime.KieSession` | `newKieSession()`
    `org.kie.api.runtime.KieSession` | `newKieSession(org.kie.api.runtime.KieSessionConfiguration conf, org.kie.api.runtime.Environment environment)`
    `org.kie.internal.runtime.StatefulKnowledgeSession` | `newStatefulKnowledgeSession()`
    `org.kie.internal.runtime.StatefulKnowledgeSession` | `newStatefulKnowledgeSession(org.kie.api.runtime.KieSessionConfiguration conf, org.kie.api.runtime.Environment environment)`
    `org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKieSession()`
    `org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKieSession(org.kie.api.runtime.KieSessionConfiguration conf)`
    `org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKnowledgeSession()`
    `org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKnowledgeSession(org.kie.api.runtime.KieSessionConfiguration conf)`
    `void` | `removeEventListener(org.kie.api.event.kiebase.KieBaseEventListener listener)`
    `void` | `removeFunction(String packageName, String ruleName)`
    `void` | `removeKiePackage(String packageName)`
    `void` | `removeKnowledgePackage(String packageName)`
    `void` | `removeProcess(String processId)`
    `void` | `removeQuery(String packageName, String queryName)`
    `void` | `removeRule(String packageName, String ruleName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessBaseImpl

          public ProcessBaseImpl()

  - ### Method Detail

    - #### addEventListener

          public void addEventListener(org.kie.api.event.kiebase.KieBaseEventListener listener)

      Specified by:
        `addEventListener` in interface `org.kie.api.event.kiebase.KieBaseEventManager`

    - #### removeEventListener

          public void removeEventListener(org.kie.api.event.kiebase.KieBaseEventListener listener)

      Specified by:
        `removeEventListener` in interface `org.kie.api.event.kiebase.KieBaseEventManager`

    - #### getKieBaseEventListeners

          public Collection<org.kie.api.event.kiebase.KieBaseEventListener> getKieBaseEventListeners()

      Specified by:
        `getKieBaseEventListeners` in interface `org.kie.api.event.kiebase.KieBaseEventManager`

    - #### addKnowledgePackages

          public void addKnowledgePackages(Collection<org.kie.internal.definition.KnowledgePackage> kpackages)

      Specified by:
        `addKnowledgePackages` in interface `org.kie.internal.KnowledgeBase`

    - #### addPackage

          public void addPackage(org.kie.internal.definition.KnowledgePackage knowledgePackage)

    - #### getKnowledgePackages

          public Collection<org.kie.internal.definition.KnowledgePackage> getKnowledgePackages()

      Specified by:
        `getKnowledgePackages` in interface `org.kie.internal.KnowledgeBase`

    - #### newStatefulKnowledgeSession

          public org.kie.internal.runtime.StatefulKnowledgeSession newStatefulKnowledgeSession()

      Specified by:
        `newStatefulKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

    - #### newKieSession

          public org.kie.api.runtime.KieSession newKieSession()

      Specified by:
        `newKieSession` in interface `org.kie.api.KieBase`

    - #### newStatefulKnowledgeSession

          public org.kie.internal.runtime.StatefulKnowledgeSession newStatefulKnowledgeSession(org.kie.api.runtime.KieSessionConfiguration conf,
                                                                                               org.kie.api.runtime.Environment environment)

      Specified by:
        `newStatefulKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

    - #### newKieSession

          public org.kie.api.runtime.KieSession newKieSession(org.kie.api.runtime.KieSessionConfiguration conf,
                                                              org.kie.api.runtime.Environment environment)

      Specified by:
        `newKieSession` in interface `org.kie.api.KieBase`

    - #### getStatefulKnowledgeSessions

          public Collection<org.kie.internal.runtime.StatefulKnowledgeSession> getStatefulKnowledgeSessions()

      Specified by:
        `getStatefulKnowledgeSessions` in interface `org.kie.internal.KnowledgeBase`

    - #### getKieSessions

          public Collection<org.kie.internal.runtime.StatefulKnowledgeSession> getKieSessions()

      Specified by:
        `getKieSessions` in interface `org.kie.api.KieBase`

    - #### newStatelessKnowledgeSession

          public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKnowledgeSession()

      Specified by:
        `newStatelessKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

    - #### newStatelessKieSession

          public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKieSession()

      Specified by:
        `newStatelessKieSession` in interface `org.kie.api.KieBase`

    - #### newStatelessKnowledgeSession

          public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKnowledgeSession(org.kie.api.runtime.KieSessionConfiguration conf)

      Specified by:
        `newStatelessKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

    - #### newStatelessKieSession

          public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKieSession(org.kie.api.runtime.KieSessionConfiguration conf)

      Specified by:
        `newStatelessKieSession` in interface `org.kie.api.KieBase`

    - #### removeKnowledgePackage

          public void removeKnowledgePackage(String packageName)

      Specified by:
        `removeKnowledgePackage` in interface `org.kie.internal.KnowledgeBase`

    - #### removeRule

          public void removeRule(String packageName,
                                 String ruleName)

      Specified by:
        `removeRule` in interface `org.kie.api.KieBase`
      Specified by:
        `removeRule` in interface `org.kie.internal.KnowledgeBase`

    - #### removeQuery

          public void removeQuery(String packageName,
                                  String queryName)

      Specified by:
        `removeQuery` in interface `org.kie.api.KieBase`
      Specified by:
        `removeQuery` in interface `org.kie.internal.KnowledgeBase`

    - #### removeFunction

          public void removeFunction(String packageName,
                                     String ruleName)

      Specified by:
        `removeFunction` in interface `org.kie.api.KieBase`
      Specified by:
        `removeFunction` in interface `org.kie.internal.KnowledgeBase`

    - #### removeProcess

          public void removeProcess(String processId)

      Specified by:
        `removeProcess` in interface `org.kie.api.KieBase`
      Specified by:
        `removeProcess` in interface `org.kie.internal.KnowledgeBase`

    - #### getFactType

          public org.kie.api.definition.type.FactType getFactType(String packageName,
                                                                  String typeName)

      Specified by:
        `getFactType` in interface `org.kie.api.KieBase`
      Specified by:
        `getFactType` in interface `org.kie.internal.KnowledgeBase`

    - #### getKnowledgePackage

          public org.kie.internal.definition.KnowledgePackage getKnowledgePackage(String packageName)

      Specified by:
        `getKnowledgePackage` in interface `org.kie.internal.KnowledgeBase`

    - #### getProcess

          public org.kie.api.definition.process.Process getProcess(String processId)

      Specified by:
        `getProcess` in interface `org.kie.api.KieBase`
      Specified by:
        `getProcess` in interface `org.kie.internal.KnowledgeBase`

    - #### getProcesses

          public Collection<org.kie.api.definition.process.Process> getProcesses()

      Specified by:
        `getProcesses` in interface `org.kie.api.KieBase`
      Specified by:
        `getProcesses` in interface `org.kie.internal.KnowledgeBase`

    - #### getRule

          public org.kie.api.definition.rule.Rule getRule(String packageName,
                                                          String ruleName)

      Specified by:
        `getRule` in interface `org.kie.api.KieBase`
      Specified by:
        `getRule` in interface `org.kie.internal.KnowledgeBase`

    - #### getQuery

          public org.kie.api.definition.rule.Query getQuery(String packageName,
                                                            String queryName)

      Specified by:
        `getQuery` in interface `org.kie.api.KieBase`
      Specified by:
        `getQuery` in interface `org.kie.internal.KnowledgeBase`

    - #### getEntryPointIds

          public Set<String> getEntryPointIds()

      Specified by:
        `getEntryPointIds` in interface `org.kie.api.KieBase`
      Specified by:
        `getEntryPointIds` in interface `org.kie.internal.KnowledgeBase`

    - #### getKiePackages

          public Collection<org.kie.api.definition.KiePackage> getKiePackages()

      Specified by:
        `getKiePackages` in interface `org.kie.api.KieBase`

    - #### getKiePackage

          public org.kie.api.definition.KiePackage getKiePackage(String packageName)

      Specified by:
        `getKiePackage` in interface `org.kie.api.KieBase`

    - #### removeKiePackage

          public void removeKiePackage(String packageName)

      Specified by:
        `removeKiePackage` in interface `org.kie.api.KieBase`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.